Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHMiscDialogs

    java.lang.Object
      com.mindbright.ssh.SSHMiscDialogs

public final class SSHMiscDialogs
extends java.lang.Object

Constructor Summary
`SSHMiscDialogs()`

Method Summary
`static void` | `alert(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`static boolean` | `confirm(java.lang.String title, java.lang.String message, boolean defAnswer, java.awt.Frame parent)`
`static boolean` | `confirm(java.lang.String title, java.lang.String message, int rows, int cols, java.lang.String yesLbl, java.lang.String noLbl, boolean defAnswer, java.awt.Frame parent, boolean scrollbar)`
`static java.lang.String` | `password(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`static java.lang.String` | `setPassword(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`static java.lang.String` | `textInput(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`static java.lang.String` | `textInput(java.lang.String title, java.lang.String message, java.awt.Frame parent, char echo, java.lang.String defaultValue, java.lang.String prompt)`
`static java.lang.String` | `textInput(java.lang.String title, java.lang.String message, java.awt.Frame parent, java.lang.String defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHMiscDialogs

    public SSHMiscDialogs()

Method Detail

### alert

    public static void alert(java.lang.String title,
                             java.lang.String message,
                             java.awt.Frame parent)

### password

    public static java.lang.String password(java.lang.String title,
                                            java.lang.String message,
                                            java.awt.Frame parent)

### textInput

    public static java.lang.String textInput(java.lang.String title,
                                             java.lang.String message,
                                             java.awt.Frame parent)

### textInput

    public static java.lang.String textInput(java.lang.String title,
                                             java.lang.String message,
                                             java.awt.Frame parent,
                                             java.lang.String defaultValue)

### textInput

    public static java.lang.String textInput(java.lang.String title,
                                             java.lang.String message,
                                             java.awt.Frame parent,
                                             char echo,
                                             java.lang.String defaultValue,
                                             java.lang.String prompt)

### setPassword

    public static java.lang.String setPassword(java.lang.String title,
                                               java.lang.String message,
                                               java.awt.Frame parent)

### confirm

    public static boolean confirm(java.lang.String title,
                                  java.lang.String message,
                                  boolean defAnswer,
                                  java.awt.Frame parent)

### confirm

    public static boolean confirm(java.lang.String title,
                                  java.lang.String message,
                                  int rows,
                                  int cols,
                                  java.lang.String yesLbl,
                                  java.lang.String noLbl,
                                  boolean defAnswer,
                                  java.awt.Frame parent,
                                  boolean scrollbar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD